# API Documentation

# \Thelia\ModelModuleQuery

Skeleton subclass for performing query and update operations on the 'module' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
getActivated()
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCode()
filterByType()
filterByActivate()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByGroupModule()
joinGroupModule()
useGroupModuleQuery()
filterByModuleI18n()
joinModuleI18n()
useModuleI18nQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
orderById()
orderByCode()
orderByType()
orderByActivate()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCode()
groupByType()
groupByActivate()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinGroupModule()
rightJoinGroupModule()
innerJoinGroupModule()
leftJoinModuleI18n()
rightJoinModuleI18n()
innerJoinModuleI18n()
findOne()
findOneOrCreate()
findOneById()
findOneByCode()
findOneByType()
findOneByActivate()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCode()
findByType()
findByActivate()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/ModuleQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ModuleQuery
  \Thelia\Model\ModuleQuery

## Tags

None found

## Methods

### getActivated()

    getActivated() : array|mixed|\PropelObjectCollection

#### Returns

array|mixed|\PropelObjectCollection

#

static

## Tags

None found

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ModuleQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ModuleQuery

Returns a new ChildModuleQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ModuleQuery

#

static

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Module|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Module|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ModuleQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ModuleQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByType()

    filterByType(mixed $type, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the type column

Example usage: `$query->filterByType(1234); // WHERE type = 1234 $query->filterByType(array(12, 34)); // WHERE type IN (12, 34) $query->filterByType(array('min' => 12)); // WHERE type > 12`

#### Parameters

mixed | $type | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByActivate()

    filterByActivate(mixed $activate, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the activate column

Example usage: `$query->filterByActivate(1234); // WHERE activate = 1234 $query->filterByActivate(array(12, 34)); // WHERE activate IN (12, 34) $query->filterByActivate(array('min' => 12)); // WHERE activate > 12`

#### Parameters

mixed | $activate | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### filterByGroupModule()

    filterByGroupModule(\Thelia\Model\GroupModule|\Propel\Runtime\Collection\ObjectCollection $groupModule, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query by a related \Thelia\Model\GroupModule object

#### Parameters

\Thelia\Model\GroupModule|\Propel\Runtime\Collection\ObjectCollection | $groupModule | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### joinGroupModule()

    joinGroupModule(string $relationAlias, string $joinType) : \Thelia\Model\ModuleQuery

Adds a JOIN clause to the query using the GroupModule relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### useGroupModuleQuery()

    useGroupModuleQuery(string $relationAlias, string $joinType) : \Thelia\Model\GroupModuleQuery

Use the GroupModule relation GroupModule object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupModuleQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\ModuleQuery
See also

## Tags

None found

### filterByModuleI18n()

    filterByModuleI18n(\Thelia\Model\ModuleI18n|\Propel\Runtime\Collection\ObjectCollection $moduleI18n, string $comparison) : \Thelia\Model\ModuleQuery

Filter the query by a related \Thelia\Model\ModuleI18n object

#### Parameters

\Thelia\Model\ModuleI18n|\Propel\Runtime\Collection\ObjectCollection | $moduleI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### joinModuleI18n()

    joinModuleI18n(string $relationAlias, string $joinType) : \Thelia\Model\ModuleQuery

Adds a JOIN clause to the query using the ModuleI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### useModuleI18nQuery()

    useModuleI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\ModuleI18nQuery

Use the ModuleI18n relation ModuleI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ModuleI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\ModuleQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Module $module) : \Thelia\Model\ModuleQuery

Exclude object from result

#### Parameters

\Thelia\Model\Module | $module | Object to remove from the list of results

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the module table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildModule or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\ModuleQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\ModuleQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\ModuleQuery

Order by update date desc

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\ModuleQuery

Order by update date asc

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\ModuleQuery

Order by create date desc

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\ModuleQuery

Order by create date asc

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\ModuleQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\ModuleQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\ModuleI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\ModuleI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\ModuleQuery
See also

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\ModuleQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\ModuleQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByType()

    orderByType($order =) : \Thelia\Model\ModuleQuery

Order by the type column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByActivate()

    orderByActivate($order =) : \Thelia\Model\ModuleQuery

Order by the activate column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\ModuleQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ModuleQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ModuleQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\ModuleQuery

Group by the id column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\ModuleQuery

Group by the code column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByType()

    groupByType() : \Thelia\Model\ModuleQuery

Group by the type column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByActivate()

    groupByActivate() : \Thelia\Model\ModuleQuery

Group by the activate column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\ModuleQuery

Group by the position column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ModuleQuery

Group by the created_at column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ModuleQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ModuleQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ModuleQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ModuleQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### leftJoinGroupModule()

    leftJoinGroupModule($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a LEFT JOIN clause to the query using the GroupModule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### rightJoinGroupModule()

    rightJoinGroupModule($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a RIGHT JOIN clause to the query using the GroupModule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### innerJoinGroupModule()

    innerJoinGroupModule($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a INNER JOIN clause to the query using the GroupModule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### leftJoinModuleI18n()

    leftJoinModuleI18n($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a LEFT JOIN clause to the query using the ModuleI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### rightJoinModuleI18n()

    rightJoinModuleI18n($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a RIGHT JOIN clause to the query using the ModuleI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### innerJoinModuleI18n()

    innerJoinModuleI18n($relationAlias =) : \Thelia\Model\ModuleQuery

Adds a INNER JOIN clause to the query using the ModuleI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ModuleQuery

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Module

Return the first ChildModule matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Module

Return the first ChildModule matching the query, or a new ChildModule object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Module

Return the first ChildModule filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\Module

Return the first ChildModule filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByType()

    findOneByType(int $type) : \Thelia\Model\Module

Return the first ChildModule filtered by the type column

#### Parameters

int | $type |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByActivate()

    findOneByActivate(int $activate) : \Thelia\Model\Module

Return the first ChildModule filtered by the activate column

#### Parameters

int | $activate |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\Module

Return the first ChildModule filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Module

Return the first ChildModule filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Module

Return the first ChildModule filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Module

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildModule objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildModule objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByType()

    findByType(int $type) : array

Return ChildModule objects filtered by the type column

#### Parameters

int | $type |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByActivate()

    findByActivate(int $activate) : array

Return ChildModule objects filtered by the activate column

#### Parameters

int | $activate |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildModule objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildModule objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildModule objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Module

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Module —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Module|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Module|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\ModuleQuery

## Tags

None found

### ModuleQuery.php